Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.datacopy
Class FullTableCopy

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.knowgate.datacopy.DataStruct
              com.knowgate.datacopy.FullTableCopy

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class FullTableCopy

extends DataStruct

Copy data from one table to another

Field Summary

Fields inherited from class com.knowgate.datacopy.DataStruct
`After, Before, cTables, DataRowSets, DEFAULT_DYNAMIC_VALIDATION, DEFAULT_MEMORY_USAGE, DEFAULT_NAMESPACE_PREFIXES, DEFAULT_NAMESPACES, DEFAULT_PARSER_NAME, DEFAULT_REPETITION, DEFAULT_SCHEMA_FULL_CHECKING, DEFAULT_SCHEMA_VALIDATION, DEFAULT_TAGGINESS, DEFAULT_VALIDATION, DlStatements, DYNAMIC_VALIDATION_FEATURE_ID, FieldDefs, FieldMaps, iCols, InitStmts, iRows, NAMESPACE_PREFIXES_FEATURE_ID, NAMESPACES_FEATURE_ID, oFromPKs, oInsertTexts, oResults, OrMetaData, OrStatements, oSelectTexts, oToPKs, SCHEMA_FULL_CHECKING_FEATURE_ID, SCHEMA_VALIDATION_FEATURE_ID, TermStmts, Transformations, TrMetaData, TrStatements, UpStatements, VALIDATION_FEATURE_ID`

Constructor Summary
`FullTableCopy()`

Method Summary
`void` | `insert(java.lang.String sOriginTable, java.lang.String sTargetTable, boolean bTruncate)` Copy all data from origin table to target table
`void` | `insert(java.lang.String sOriginTable, java.lang.String sTargetTable, java.lang.String sOriginWhere, boolean bTruncate)` Copy some data from origin table to target table

Methods inherited from class com.knowgate.datacopy.DataStruct
`characters, clear, commit, composeError, connectOrigin, connectTarget, convert, createClassSource, disconnectAll, endElement, error, execCommands, fatalError, getOriginConnection, getResult, getRows, getRowSet, getTargetConnection, insert, mapType, parse, parse, prepareStatements, rollback, seekReferal, setAutoCommit, setOriginConnection, setTargetConnection, startDocument, startElement, update, warning`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`endDocument, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping`

Constructor Detail

### FullTableCopy

    public FullTableCopy()

Method Detail

### insert

    public void insert(java.lang.String sOriginTable,
                       java.lang.String sTargetTable,
                       java.lang.String sOriginWhere,
                       boolean bTruncate)
                throws java.sql.SQLException,
                       java.lang.ClassNotFoundException,
                       java.io.IOException,
                       java.lang.InstantiationException,
                       java.lang.IllegalAccessException,
                       org.xml.sax.SAXException

  Copy some data from origin table to target table

  Parameters:
    `sOriginTable` - String
    `sTargetTable` - String
    `sOriginWhere` - String Filter clause (SQL WHERE) to be applied to origin table
    `bTruncate` - boolean if true Truncate target table before inserting
  Throws:
    `java.sql.SQLException`
    `java.lang.ClassNotFoundException`
    `java.io.IOException`
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `org.xml.sax.SAXException`

### insert

    public void insert(java.lang.String sOriginTable,
                       java.lang.String sTargetTable,
                       boolean bTruncate)
                throws java.sql.SQLException,
                       java.lang.ClassNotFoundException,
                       java.io.IOException,
                       java.lang.InstantiationException,
                       java.lang.IllegalAccessException,
                       org.xml.sax.SAXException

  Copy all data from origin table to target table

  Parameters:
    `sOriginTable` - String
    `sTargetTable` - String
    `bTruncate` - boolean if true Truncate target table before inserting
  Throws:
    `java.sql.SQLException`
    `java.lang.ClassNotFoundException`
    `java.io.IOException`
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD